Bug 58406 - lang/perl5: use.perl port does not handle progs like pod2man
lang/perl5: use.perl port does not handle progs like pod2man
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Anton Berezin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 00:10 UTC by girgen
Modified: 2005-02-02 09:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description girgen 2003-10-23 00:10:19 UTC
When running use.perl port, I expected all the system perl programs to
be exchanged for their port equivalences. But, for the below listed
files, they are installed by the port but never used unless one sets
/usr/local/bin before /usr/bin, which is hardly common? Shouldn't they
be handled by the use.port script as well?

c2ph
find2perl
h2ph
h2xs
perlbug
perlcc
perldoc
pl2pm
pod2html
pod2latex
pod2man
pod2text
s2p
splain

How-To-Repeat: Check it out:
for i in `ls /usr/bin`; do
	if [ -x /usr/local/*bin/$i ]
		then echo $i
		pkg_which /usr/local/bin/$i
	fi
done
Comment 1 Mark Linimon freebsd_committer 2003-11-07 07:29:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

Over to maintainer of lang/perl5.
Comment 2 sem 2003-12-16 07:44:39 UTC
See PR/55760.

-- 
Sem.
Comment 3 Anton Berezin freebsd_committer 2005-02-02 09:53:07 UTC
State Changed
From-To: open->closed

After the recent update of lang/perl5 and lang/perl5.8, if perldoc, a2p, 
and other perl-related binaries are detected in /usr/bin, they are 
replaced with symlinks to the versions installed by perl port, provided 
use.perl port was run.